/*
@licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2019 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as published by
the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "GeographicLib", "index.html", [
    [ "GeographicLib library", "index.html", [
      [ "Abstract", "index.html#abstract", null ],
      [ "Download", "index.html#download", null ],
      [ "Citing GeographicLib", "index.html#citint", null ],
      [ "Contents", "index.html#contents", null ]
    ] ],
    [ "Introduction", "intro.html", null ],
    [ "Installing GeographicLib", "install.html", [
      [ "Installation with cmake", "install.html#cmake", null ],
      [ "Installation using the autoconfigure tools", "install.html#autoconf", null ],
      [ "Installation with GNU compiler and Make", "install.html#gnu", null ],
      [ "Installation on Windows", "install.html#windows", null ],
      [ "Using a binary installer", "install.html#binaryinst", [
        [ "Windows", "install.html#binaryinstwin", null ],
        [ "MacOSX", "install.html#binaryinstosx", null ],
        [ "Linux", "install.html#binaryinstlin", null ]
      ] ],
      [ "Building the library for use with Qt", "install.html#qt", null ],
      [ "Maintainer tasks", "install.html#maintainer", null ]
    ] ],
    [ "Getting started", "start.html", null ],
    [ "Utility programs", "utilities.html", null ],
    [ "Code organization", "organization.html", null ],
    [ "Implementations in other languages", "other.html", [
      [ "C and Fortran implementation", "other.html#c-fortran", null ],
      [ "Java implementation", "other.html#java", null ],
      [ "JavaScript implementation", "other.html#javascript", null ],
      [ "Python implementation", "other.html#python", null ],
      [ "MATLAB and Octave implementations", "other.html#matlab", null ],
      [ ".NET wrapper", "other.html#dotnet", null ],
      [ "Maxima routines", "other.html#maxima", null ]
    ] ],
    [ "Geoid height", "geoid.html", [
      [ "Installing the geoid datasets", "geoid.html#geoidinst", null ],
      [ "The format of the geoid data files", "geoid.html#geoidformat", null ],
      [ "Interpolating the geoid data", "geoid.html#geoidinterp", null ],
      [ "Caching the geoid data", "geoid.html#geoidcache", null ],
      [ "Test data for geoids", "geoid.html#testgeoid", null ]
    ] ],
    [ "Gravity models", "gravity.html", [
      [ "Installing the gravity models", "gravity.html#gravityinst", null ],
      [ "The format of the gravity model files", "gravity.html#gravityformat", null ],
      [ "Comments on the NGA harmonic synthesis code", "gravity.html#gravitynga", null ],
      [ "Details of the geoid height and anomaly calculations", "gravity.html#gravitygeoid", null ],
      [ "The effect of the mass of the atmosphere", "gravity.html#gravityatmos", null ],
      [ "Geoid heights on a multi-processor system", "gravity.html#gravityparallel", null ]
    ] ],
    [ "Normal gravity", "normalgravity.html", [
      [ "Ellipsoidal coordinates", "normalgravity.html#normalgravcoords", null ],
      [ "The normal potential", "normalgravity.html#normalgravpot", null ],
      [ "The mass distribution", "normalgravity.html#normalgravmass", null ],
      [ "The surface gravity", "normalgravity.html#normalgravsurf", null ],
      [ "The mean gravity", "normalgravity.html#normalgravmean", null ],
      [ "Possible values of the dynamical form factor", "normalgravity.html#normalgravj2", null ]
    ] ],
    [ "Magnetic models", "magnetic.html", [
      [ "Installing the magnetic field models", "magnetic.html#magneticinst", null ],
      [ "The format of the magnetic model files", "magnetic.html#magneticformat", null ]
    ] ],
    [ "Geodesics on an ellipsoid of revolution", "geodesic.html", [
      [ "Test data for geodesics", "geodesic.html#testgeod", null ],
      [ "Expansions for geodesics", "geodesic.html#geodseries", null ],
      [ "Geodesics in terms of elliptic integrals", "geodesic.html#geodellip", null ],
      [ "Parameters for the meridian", "geodesic.html#meridian", null ],
      [ "Short geodesics", "geodesic.html#geodshort", [
        [ "Bowring's method", "geodesic.html#bowring", null ],
        [ "Bessel's auxiliary sphere", "geodesic.html#auxsphere", null ],
        [ "Estimating the accuracy", "geodesic.html#shorterr", null ]
      ] ]
    ] ],
    [ "Finding nearest neighbors", "nearest.html", null ],
    [ "Geodesics on a triaxial ellipsoid", "triaxial.html", [
      [ "Triaxial coordinate systems", "triaxial.html#triaxial-coords", null ],
      [ "Jacobi's solution", "triaxial.html#triaxial-jacobi", null ],
      [ "Survey of triaxial geodesics", "triaxial.html#triaxial-survey", null ],
      [ "The stability of closed geodesics", "triaxial.html#triaxial-stab", null ],
      [ "The inverse problem", "triaxial.html#triaxial-inverse", null ],
      [ "Jacobi's conformal projection", "triaxial.html#triaxial-conformal", null ]
    ] ],
    [ "Jacobi's conformal projection", "jacobi.html", [
      [ "Conformal projection", "jacobi.html#jacobi-conformal", null ],
      [ "The projection in terms of elliptic integrals", "jacobi.html#jacobi-elliptic", null ],
      [ "Properties of the projection", "jacobi.html#jacobi-properties", null ],
      [ "Limiting cases", "jacobi.html#jacobi-limiting", null ],
      [ "Conformal mapping of an ellipsoid to a sphere", "jacobi.html#jacobi-sphere", null ],
      [ "An implementation of the projection", "jacobi.html#jacobi-implementation", null ]
    ] ],
    [ "Rhumb lines", "rhumb.html", [
      [ "Formulation of the rhumb line problem", "rhumb.html#rhumbform", null ],
      [ "Determining the auxiliary latitudes", "rhumb.html#rhumblat", null ],
      [ "The area under a rhumb line", "rhumb.html#rhumbarea", null ],
      [ "Use of divided differences", "rhumb.html#divideddiffs", null ],
      [ "Clenshaw evaluation of differenced sums", "rhumb.html#dividedclenshaw", null ]
    ] ],
    [ "Great Ellipses", "greatellipse.html", [
      [ "Solution of great ellipse problems", "greatellipse.html#geformulation", null ],
      [ "The area under a great ellipse", "greatellipse.html#gearea", null ],
      [ "Great ellipses vs geodesics", "greatellipse.html#gevsgeodesic", null ]
    ] ],
    [ "Transverse Mercator projection", "transversemercator.html", [
      [ "Test data for the transverse Mercator projection", "transversemercator.html#testmerc", null ],
      [ "Series approximation for transverse Mercator", "transversemercator.html#tmseries", null ],
      [ "Figures from paper on transverse Mercator projection", "transversemercator.html#tmfigures", null ]
    ] ],
    [ "Geocentric coordinates", "geocentric.html", null ],
    [ "Auxiliary latitudes", "auxlat.html", [
      [ "Series approximations for conversions", "auxlat.html#auxlatformula", null ],
      [ "Series approximations in tabular form", "auxlat.html#auxlattable", null ],
      [ "Truncation errors", "auxlat.html#auxlaterror", null ]
    ] ],
    [ "Support for high precision arithmetic", "highprec.html", null ],
    [ "Change log", "changes.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", null ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Functions", "globals_func.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"Accumulator_8cpp.html",
"classGeographicLib_1_1Accumulator.html#acb3c1aa458551c474bd8d487c3488789",
"classGeographicLib_1_1Geocentric.html#a243c90a7f9bf3f7aa96877a4b0667a89",
"classGeographicLib_1_1Georef.html#a08f061e445595cfb0f4c54867c3964f1",
"classGeographicLib_1_1OSGB.html#ab27e19f7688f6b472d217b31aeae079c",
"functions_k.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';